VERSION 5.00
Object = "{C4D1700E-889D-11D2-8C7A-00609719B3F9}#1.0#0"; "APXANALYSISTK.DLL"
Object = "{D22FEEE0-7890-11D2-89E0-0040051D6CCA}#1.0#0"; "APXIMAGE.DLL"
Object = "{9DC38830-6838-11D2-89E0-0040051D6CCA}#1.0#0"; "APXIMAGEDISPLAY.DLL"
Object = "{02B5E320-7292-11CF-93D5-0020AF99504A}#1.0#0"; "MSCHART.OCX"
Begin VB.Form Form1 
   Caption         =   "Histogram Computation and Display"
   ClientHeight    =   8415
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   7185
   LinkTopic       =   "Form1"
   ScaleHeight     =   8415
   ScaleWidth      =   7185
   StartUpPosition =   3  'Windows Default
   Begin MSChartLib.MSChart MSChart1 
      Height          =   3825
      Left            =   120
      OleObjectBlob   =   "Form1.frx":0000
      TabIndex        =   4
      Top             =   4440
      Width           =   4215
   End
   Begin VB.TextBox Text1 
      Height          =   7300
      Left            =   5760
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   3
      Text            =   "Form1.frx":2350
      Top             =   960
      Width           =   1335
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Exit"
      Height          =   615
      Left            =   5880
      TabIndex        =   2
      Top             =   8760
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Histogram"
      Height          =   615
      Left            =   5760
      TabIndex        =   1
      Top             =   240
      Width           =   1335
   End
   Begin ApxImageLibCtl.ApxImage ApxImage1 
      Left            =   6000
      OleObjectBlob   =   "Form1.frx":2361
      Top             =   3360
   End
   Begin ApxAnalysisTKCtl.ApxAnalysis ApxAnalysis1 
      Left            =   6120
      OleObjectBlob   =   "Form1.frx":2385
      Top             =   1680
   End
   Begin ApxImageDisplayLib.ApxImageDisplay ApxImageDisplay1 
      Height          =   4215
      Left            =   120
      OleObjectBlob   =   "Form1.frx":23A9
      TabIndex        =   0
      Top             =   120
      Width           =   4215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
    Dim measu As New ApxGlobalMeasureSet
    Dim myhist(256) As Integer
'
    crlf = Chr(13) + Chr(10)
'
    ApxAnalysis1.ImgHistogram ApxImage1.object, measu
    Mini% = measu.Value(0, 0, 0)
    Maxi% = measu.Value(1, 0, 0)
    stri$ = "Min = " & Mini% & crlf
    stri$ = stri$ & "Max = " & Maxi% & crlf
    Text1.Text = stri$
    Text1.Refresh
'
' Loop to get the histogram values
'
    For i = 0 To Maxi% - Mini%
      Valu = measu.Value(2, 0, i)
      stri$ = stri$ & Str(Valu) & crlf
      myhist(i) = Valu
    Next i
    Text1.Text = stri$
    Text1.Refresh
'
' Update the histogram
'
    Me.MSChart1.ChartData = myhist
'
End Sub
Private Sub Command2_Click()
    End
End Sub
Private Sub Form_Load()
'
' Load an image first
'
    ApxImage1.Read "C:\Program Files\Aphelion\Images\Ceramic.tif"
    Me.ApxImageDisplay1.Image = ApxImage1.object
    ApxImageDisplay1.ZoomFactor = 1.088
'
End Sub
